TTransactionStat._Fields (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Enum TTransactionStat._Fields

- java.lang.Object
- - java.lang.Enum<TTransactionStat._Fields>
  - - com.sleepycat.thrift.TTransactionStat._Fields

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TTransactionStat._Fields>, org.apache.thrift.TFieldIdEnum
  Enclosing class:
    TTransactionStat

      public static enum TTransactionStat._Fields
      extends java.lang.Enum<TTransactionStat._Fields>
      implements org.apache.thrift.TFieldIdEnum

  The set of fields this struct contains, along with convenience methods for finding and manipulating them.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIVE_TXNS`
    `INITTXNS`
    `LAST_CKP_FILE`
    `LAST_CKP_OFFSET`
    `LAST_TXN_ID`
    `MAX_NACTIVE`
    `MAX_NSNAPSHOT`
    `MAX_TXNS`
    `NABORTS`
    `NACTIVE`
    `NUM_BEGINS`
    `NUM_COMMITS`
    `NUM_RESTORES`
    `NUM_SNAPSHOT`
    `REG_SIZE`
    `REGION_NOWAIT`
    `REGION_WAIT`
    `TIME_CKP`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TTransactionStat._Fields` | `findByName(java.lang.String name)` Find the _Fields constant that matches name, or null if its not found.
    `static TTransactionStat._Fields` | `findByThriftId(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
    `static TTransactionStat._Fields` | `findByThriftIdOrThrow(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
    `java.lang.String` | `getFieldName()`
    `short` | `getThriftFieldId()`
    `static TTransactionStat._Fields` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TTransactionStat._Fields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INITTXNS

          public static final TTransactionStat._Fields INITTXNS

    - #### LAST_CKP_FILE

          public static final TTransactionStat._Fields LAST_CKP_FILE

    - #### LAST_CKP_OFFSET

          public static final TTransactionStat._Fields LAST_CKP_OFFSET

    - #### LAST_TXN_ID

          public static final TTransactionStat._Fields LAST_TXN_ID

    - #### MAX_NACTIVE

          public static final TTransactionStat._Fields MAX_NACTIVE

    - #### MAX_NSNAPSHOT

          public static final TTransactionStat._Fields MAX_NSNAPSHOT

    - #### MAX_TXNS

          public static final TTransactionStat._Fields MAX_TXNS

    - #### NABORTS

          public static final TTransactionStat._Fields NABORTS

    - #### NACTIVE

          public static final TTransactionStat._Fields NACTIVE

    - #### NUM_BEGINS

          public static final TTransactionStat._Fields NUM_BEGINS

    - #### NUM_COMMITS

          public static final TTransactionStat._Fields NUM_COMMITS

    - #### NUM_RESTORES

          public static final TTransactionStat._Fields NUM_RESTORES

    - #### NUM_SNAPSHOT

          public static final TTransactionStat._Fields NUM_SNAPSHOT

    - #### REGION_NOWAIT

          public static final TTransactionStat._Fields REGION_NOWAIT

    - #### REGION_WAIT

          public static final TTransactionStat._Fields REGION_WAIT

    - #### REG_SIZE

          public static final TTransactionStat._Fields REG_SIZE

    - #### TIME_CKP

          public static final TTransactionStat._Fields TIME_CKP

    - #### ACTIVE_TXNS

          public static final TTransactionStat._Fields ACTIVE_TXNS

  - ### Method Detail

    - #### values

          public static TTransactionStat._Fields[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TTransactionStat._Fields c : TTransactionStat._Fields.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TTransactionStat._Fields valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### findByThriftId

          public static TTransactionStat._Fields findByThriftId(int fieldId)

      Find the _Fields constant that matches fieldId, or null if its not found.

    - #### findByThriftIdOrThrow

          public static TTransactionStat._Fields findByThriftIdOrThrow(int fieldId)

      Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

    - #### findByName

          public static TTransactionStat._Fields findByName(java.lang.String name)

      Find the _Fields constant that matches name, or null if its not found.

    - #### getThriftFieldId

          public short getThriftFieldId()

      Specified by:
        `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

    - #### getFieldName

          public java.lang.String getFieldName()

      Specified by:
        `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.